$primary-color: var(--kelley-green);
$secondary-color: var(--partner-base-color);

.btn {
  border: 1px solid transparent;
  border-radius: 0;
  color: var(--light);
  font-size: 1.4rem;
  font-weight: 500;
  padding: 1rem 3rem;
  text-decoration: none;
  transition: background-color 0.5;

  &:hover {
    background-color: transparent;
  }

  &.disabled,
  &:disabled {
    background-color: var(--grey);
    color: var(--white);
    opacity: 1;
  }

  &-primary {
    background-color: $primary-color;

    &:hover {
      border-color: $primary-color;
      color: $primary-color;
    }
  }

  &-secondary {
    background-color: $secondary-color;
    color: var(--box-no-style-dark);
    font-size: 15px;
    font-weight: 500;
    padding: 0.25rem 0.5rem;

    &:hover {
      border-color: $secondary-color;
      color: $secondary-color;
    }
  }

  &-link {
    border: 0;
    letter-spacing: 0.1rem;
    padding: 0;
    text-decoration: underline;

    &:hover {
      text-decoration: none;
    }
  }

  &-outline {
    background-color: transparent;

    &:hover {
      border: 0;
    }

    &-primary {
      border-color: $primary-color;
      color: $primary-color;

      &:hover {
        background-color: $primary-color;
        color: var(--light);
      }
    }

    &-secondary {
      border-color: $secondary-color;
      color: $secondary-color;
      font-size: 20px;
      font-weight: 500;
      padding: 1rem 1.5rem;

      &:hover {
        background-color: $secondary-color;
        color: var(--box-no-style-dark);
      }
    }
  }
}

.close {
  &,
  &:hover {
    color: var(--white);
    opacity: 1;
  }
}
